<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8">
    <title>SendStrategy</title>
    <link href='http://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,700,300italic,400italic,700italic|Source+Code+Pro:300,400,700' rel='stylesheet' type='text/css'>
<link rel="stylesheet" href="../assets/css/bootstrap.css">
<link rel="stylesheet" href="../assets/css/jquery.bonsai.css">
<link rel="stylesheet" href="../assets/css/main.css">
<link rel="stylesheet" href="../assets/icon-font/icons.css">
<script type="text/javascript" src="../assets/js/jquery-2.1.0.min.js"></script>
<script type="text/javascript" src="../assets/js/bootstrap.js"></script>
<script type="text/javascript" src="../assets/js/jquery.bonsai.js"></script>

  </head>
  <body>
    <div>

      <!-- Name Title -->

      <h1>SendStrategy</h1>

      <!-- Type and Stereotype -->

      <section style="margin-top: .5em;">
        <span class="alert alert-info">
          <span class="node-icon staruml-icon icon-UMLInterface"></span>
          UMLInterface
        </span>
        
      </section>

      <!-- Path -->

      <section style="margin-top: 10px">
        
        
        
          
          <span class="label label-info"><a href='cf9c8b720f3815adeccaf3ef6e48c6c4.html'><span class='node-icon staruml-icon icon-Project'></span>Untitled</a></span>
        
          <span>::</span>
          <span class="label label-info"><a href='594af663de577680f35b13183109d675.html'><span class='node-icon staruml-icon icon-UMLModel'></span>Model</a></span>
        
          <span>::</span>
          <span class="label label-info"><a href='7afa159a5e5761b5e890a585ae2cb283.html'><span class='node-icon staruml-icon icon-UMLInterface'></span>SendStrategy</a></span>
        
      </section>

      <!-- Diagram -->

      

      <!-- Description -->

      
      <section>
        <h3>Description</h3>
        <div>
          
            <span class="label label-info">none</span>
          
        </div>
      </section>
      

      <!-- Specification -->

      

      <!-- Directed Relationship -->

      

      <!-- Undirected Relationship -->

      

      <!-- Classifier -->

      
        
        


        
        


        
        


        
        


        
        

      

      <!-- Interface -->

      
        
        
<section class="element-list">
    <h3>Implementing Classifiers</h3>
    <ul class="nav nav-list">
        
        <li><a href='150296d58c07ae9690cd241d5c722a83.html'><span class='node-icon staruml-icon icon-UMLClass'></span>SendInComing</a></li>
        
        <li><a href='29b31dfb40146c91389e1be9c5822119.html'><span class='node-icon staruml-icon icon-UMLClass'></span>SendOutcome</a></li>
        
        <li><a href='bf532fec16f869e3046b641989b471f8.html'><span class='node-icon staruml-icon icon-UMLClass'></span>SendNote</a></li>
        
    </ul>
</section>


      

      <!-- Component -->

      

      <!-- Node -->

      

      <!-- Actor -->

      

      <!-- Use Case -->

      

      <!-- Template Parameters -->

      

      <!-- Literals -->

      

      <!-- Attributes -->

      

      <!-- Operations -->

      
      <section>
        <h3>Operations</h3>
        <table class="table table-striped table-bordered">
          <tr>
            <th>Visibility</th>
            <th>Name</th>
            <th>Description</th>
          </tr>
          
          <tr>
            <td>public</td>
            <td><a href="6bb2d3e8d4a87f9d42526e1f37abf48e.html">sendMessage(message: Message)</a></td>
            <td></td>
          </tr>
          
        </table>
      </section>
      

      <!-- Receptions -->

      

      <!-- Extension Points -->

      

      <!-- Parameters -->

      

      <!-- Diagrams -->

      
      

      <!-- Behavior -->

      

      <!-- Action -->

      

      <!-- Interaction -->

      

      <!-- CombinedFragment -->

      

      <!-- Activity -->

      

      <!-- State Machine -->

      

      <!-- State Machine -->

      

      <!-- State -->

      

      <!-- Vertex -->

      

      <!-- Transition -->

      

      <!-- Data Model (ERD) -->

      

      <!-- Columns (ERD) -->

      

      <!-- Related Entities (ERD) -->

      

      <!-- Data Flows (DFD) -->

      

      <!-- Flows (Flowchart) -->

      

      <!-- Properties -->

      <section>
        <h3>Properties</h3>
        
        <table class="table table-striped table-bordered">
    <tr>
        <th width="50%">Name</th>
        <th width="50%">Value</th>
    </tr>
    
    
    
    
    
    
    
    <tr>
        <td>name</td>
        <td>SendStrategy</td>
    </tr>
    
    
    
    
    
    
    
    
    
    
    
    <tr>
        <td>stereotype</td>
        <td><span class='label label-info'>null</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>visibility</td>
        <td>public</td>
    </tr>
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    <tr>
        <td>isAbstract</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>isFinalSpecialization</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>isLeaf</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
</table>                

      </section>

      <!-- Tags -->

      

      <!-- Constraints, Dependencies, Dependants -->

      
        
        


        
        


        
        
<section class="element-list">
    <h3>Dependants</h3>
    <ul class="nav nav-list">
        
        <li><a href='150296d58c07ae9690cd241d5c722a83.html'><span class='node-icon staruml-icon icon-UMLClass'></span>SendInComing</a></li>
        
        <li><a href='29b31dfb40146c91389e1be9c5822119.html'><span class='node-icon staruml-icon icon-UMLClass'></span>SendOutcome</a></li>
        
        <li><a href='bf532fec16f869e3046b641989b471f8.html'><span class='node-icon staruml-icon icon-UMLClass'></span>SendNote</a></li>
        
    </ul>
</section>


      

      <!-- Relationships -->

      
      
<section class="element-list">
    <h3>Relationships</h3>
    <ul class="nav nav-list">
        
        <li><a href='9f672b09f3fd132ebbb241a883185f9f.html'><span class='node-icon staruml-icon icon-UMLAssociation'></span>(SendContext—SendStrategy)</a></li>
        
        <li><a href='3026617cce44c43f0c4fdec6fa0744d9.html'><span class='node-icon staruml-icon icon-UMLInterfaceRealization'></span>(SendInComing→SendStrategy)</a></li>
        
        <li><a href='2aec32b37e1bbaa6b06efc8457a345f2.html'><span class='node-icon staruml-icon icon-UMLInterfaceRealization'></span>(SendOutcome→SendStrategy)</a></li>
        
        <li><a href='bebcdf986a6edf50191395e2f04da26b.html'><span class='node-icon staruml-icon icon-UMLInterfaceRealization'></span>(SendNote→SendStrategy)</a></li>
        
    </ul>
</section>



      <!-- Owned Elements -->

      
      


    </div>
  </body>
</html>
